---
title: "Search stores."
url: "https://developer.migros.ch/apis/odin-1/versions/85d1c695-d7c8-4825-98d5-c795728e2a00/operations/search-migrolino-stores"
---

> Full API specification: https://developer.migros.ch/apis/odin-1/versions/85d1c695-d7c8-4825-98d5-c795728e2a00.md

# Search stores.

`GET` `/migrolino/products/odin/v1/stores`

Operation ID: `search-migrolino-stores`

Search stores and filter it down with a search term. For further documentation https://developer.migros.ch/mgb-developer-portal/api-catalog/stores-rest#/msrc/get_migros_sales_branches_v1_stores

## Query parameters

- `search` (string, optional) - Is the search term to filter down stores even further.

## Responses

- `200` - Returns a list of stores. Or none.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Odin
  version: 1.0.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migrolino/products/odin/v1/stores:
    get:
      description: Search stores and filter it down with a search term. For further
        documentation
        https://developer.migros.ch/mgb-developer-portal/api-catalog/stores-rest#/msrc/get_migros_sales_branches_v1_stores
      operationId: search-migrolino-stores
      parameters:
        - description: Is the search term to filter down stores even further.
          example: "4799001"
          in: query
          name: search
          required: false
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  $ref: "#/components/schemas/StoreResponse"
                type: array
          description: Returns a list of stores. Or none.
      summary: Search stores.
      tags:
        - ESL-Migrolino
security:
  - Kong-Api-Key: []
components:
  schemas:
    StoreResponse:
      description: Object that represents a store with it's 7 digit ID and it's name.
      properties:
        language:
          description: Language of the store.
          example: de
          type: string
        name:
          description: Is the SAP name of the store.
          type: string
        storeID:
          description: Is the migros default way of identifying stores. Note - Consists of
            7 digits
          maxLength: 7
          minLength: 7
          type: string
      required:
        - storeID
      type: object
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
